
#ifndef _SYSSEG_H_INCLUDED
#define	_SYSSEG_H_INCLUDED

/*
 *	Manifests for some system segments.
 *
 */

#define	SYS_GDTSEL		0010
#define	SYS_IDTSEL		0020
#define	SYS_MONOSEL		0050
#define	SYS_COLOURSEL	0060
#define	SYS_BIOSDATA	0100

/* this space is reserved */

#define	SYS_MAGICMEM	0360
#define	SYS_KERNEL		0370

#define	SYS_LDTSTART	0400

/*	calculate LDT from pid */
#define	SYS_LDT(pid)	((pid & 0377)+SYS_LDTSTART)

#endif
