#include <string.h>
#include <diskio.h>
#include <i86.h>
#include <sys/seginfo.h>

/*	kind of clearer ?? */

#define	CACHE_NEXT(_c)	(*(unsigned *)&(_c) = (_c)->b_next_off)

#if 0
#define	CACHE_NEXT(_c)  ((_c) = MK_FP(FP_SEG((_c)),((_c)->b_next_off)))
#endif

#define	MEM_COPY(_x,_y,_z)	movedata(FP_SEG((_x)), FP_OFF((_x)), \
									  FP_SEG((_y)), FP_OFF((_y)), (_z))

void cache_to_buf(char __far *bufp, BLOCK __far *cp, unsigned nblocks)
{
int	psw;

	psw = str_forward();

	while (nblocks--) {
		MEM_COPY(cp->b_ptr, bufp, _BLOCK_SIZE);
		bufp += _BLOCK_SIZE;
		CACHE_NEXT(cp);
	}
	restore(psw);
}

void buf_to_cache(BLOCK __far *cp, char __far *bufp, unsigned nblocks)
{
int	psw;
	psw = str_forward();
	while (nblocks--) {
		MEM_COPY(bufp, cp->b_ptr, _BLOCK_SIZE);
		bufp += _BLOCK_SIZE;
		CACHE_NEXT(cp);
	}
	restore(psw);
}

