
#include <diskio.h>

/*
 * base io functions, segregated to provide similiar timing delays to 'old'
 * qnx drivers.
 */

unsigned io_in(unsigned ioaddr)
{
	return inp(ioaddr)&0xff;
}

unsigned io_win(unsigned ioaddr)
{
	return inpw(ioaddr);
}

void io_out(unsigned ioaddr, unsigned val)
{
	outp(ioaddr, val & 0xff);
}

void io_wout(unsigned ioaddr, unsigned val)
{
	outpw(ioaddr, val);
}
