
/*
 *  Copyright Quantum Software Systems Ltd. 1984 UNPUBLISHED
 *
 */
#ifndef _qnx_drvmount_h_included
#define _qnx_drvmount_h_included

#ifndef __qnx_sys_dktypes_h_included
#include <qnx/sys/dktypes.h>
#endif

#ifndef __DSKDRVR_H_INCLUDED
#include <sys/_dskdrvr.h>
#endif

#ifndef __SYS_MSG_H_INCLUDED
#include <sys/sys_msg.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#define    FIXED_DISK_PREFIX        "hd"
#define    FLOPPY_DISK_PREFIX        "fd"

extern int    fsys_mount_driver(pid_t fsys,
                        short ndevs,
                        disk_t *devtab,
                        int (**jmptab)(),
                        short maxcontig,
                        short maxpar,
                        void *sptr, 
                        struct _sysmsg_version_reply *vers,
                        short unsigned flags);

/*    iorequest types */
#define    _DNAME_PREFIX    8
#define    _OPEN_SYNC        001

#ifdef __cplusplus
}
#endif
#endif
