
#include <sys/kernel.h>
#include <sys/seginfo.h>
#include <sys/proc_msg.h>
#include <errno.h>

#include <string.h>
#include <diskio.h>
#include <i86.h>
#include <sys/seginfo.h>

alloc_dma_buf(dma_t *dbuf, pid_t opid, long nbytes)
{
int	selector;
static	struct	_seginfo	sbuf;
		
	if ((selector = qnx_segment_alloc_flags(nbytes, _PMF_DMA_SAFE)) == 0
			|| selector == -1)
		return -1;

	if (qnx_segment_info(PROC_PID, opid, selector, &sbuf) == -1)
		return -1;
	
	dbuf->bufp = MK_FP(selector,0);
	dbuf->phys_addr = sbuf.addr;
	return 0;
}

