
/*
	long	phys_addr(void __far *ptr).

	returns physical address of 'ptr'.
*/

#include <sys/kernel.h>
#include <sys/seginfo.h>
#include <sys/proc_msg.h>
#include <unistd.h>
#include <string.h>
#include <i86.h>
#include <sys/seginfo.h>



static	struct	_seginfo	sbuf;

long	phys_addr(void __far *ptr)
{
int		x;

	if ((x=qnx_segment_info(PROC_PID,0,FP_SEG(ptr),&sbuf) == 0) ||
		x == -1)
		return -1;
	return sbuf.addr + FP_OFF(ptr);
}
