

#ifndef _qnx_sys_inline_h_included
#define	_qnx_sys_inline_h_included

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __TYPES_H_INCLUDED
#include <sys/types.h>
#endif

ushort_t  inb(int port);
#pragma aux inb = "xor ax,ax" "in  al,dx"\
	parm [edx] modify [ax];

ushort_t  inw(int port);
#pragma aux inw = "in  ax,dx"\
	parm [edx] modify [ax];

ushort_t  inl(int port);
#pragma aux inl = "in  eax,dx"\
	parm [edx] modify [ax];

void outb(int port, ushort_t val);
#pragma aux outb = "out  dx,al"\
	parm [edx] modify exact nomemory [];

void outw(int port, ushort_t val);
#pragma aux outw = "out  dx,ax"\
	parm [edx] [eax] modify exact nomemory [];
	
void outl(int port, ushort_t val);
#pragma aux outw = "out  dx,eax"\
	parm [edx] [eax] modify exact nomemory [];


/*
 *	It would appear that this file has never been compiled before,
 *	so I hacked it until it would [AJ - Nov 21, 92].
 *	wcc386 = Nov 6, 92
 */
ushort_t *inws( ushort_t *buffer, unsigned count, unsigned port );
/*inp_words*/
#pragma aux inws = "push ds" "cld" "pop es" "rep insw" "mov eax,edi"\
	parm [edi] [ecx] [edx] modify [es ecx edi] value [eax];

ushort_t *outws( ushort_t *buffer, unsigned count, unsigned port );
/*outp_words*/
#pragma aux outws = "cld" "rep outsw" "mov eax,edi"\
	parm [esi] [ecx] [edx] modify [ecx esi] value [eax];
	
void	delay_8X(unsigned count);
#pragma aux delay_8X = "here: loop here"\
	parm [ecx] modify [ecx];
	
void	ll_debug(void);
#pragma aux ll_debug = "int 0f3h"\
	parm [] modify exact nomemory [];

unsigned pswget(void);
#pragma aux pswget = "pushf" "pop eax"\
	parm [] modify [eax];

unsigned disable(void);
#pragma aux disable = "pushf" "cli" "pop eax"\
	parm [] modify [eax];

unsigned enable(void);
#pragma aux enable = "pushf" "sti" "pop eax"\
	parm [] modify [eax];

unsigned str_forward(void);
#pragma aux str_forward = "pushf" "cld" "pop eax"\
	parm [] modify [eax];

unsigned str_reverse(void);
#pragma aux str_reverse = "pushf" "std" "pop eax"\
	parm [] modify [eax];

void restore(unsigned flgs);
#pragma aux str_reverse = "push eax" "popf"\
	parm [eax] modify [];

ushort_t _cs( void );
#pragma aux my_cs = "mov ax,cs"\
	parm [] modify exact nomemory [ax];

ushort_t _ds( void );
#pragma aux my_ds = "mov ax,ds"\
	parm [] modify exact nomemory [ax];
		
ushort_t _es(void);
#pragma aux my_es = "mov ax,es"\
	parm [] modify exact nomemory [ax];
	
ushort_t _ss(void);
#pragma aux my_ss = "mov ax,ss"\
	parm [] modify exact nomemory [ax];
	
ushort_t _fs(void);
#pragma aux my_fs = "mov ax,fs"\
	parm [] modify exact nomemory [ax];
	
ushort_t _gs(void);
#pragma aux my_gs = "mov ax,gs"\
	parm [] modify exact nomemory [ax];

#define	my_cs _cs
#define my_ds _ds
#define my_ss _ss
	
int _lsl(int seg);
#pragma aux _lsl = "lsl eax,eax" parm [eax] modify [eax];

int _sldt(int seg);
#pragma aux _sldt = ".386p" "sldt ax" parm [eax] modify [eax];

int _verr(int seg);
#pragma aux _verr = ".386p" "verr ax" "lahf" "shr eax,14" "and eax,1"\
	parm [eax] modify [eax];
	
int _verw(int seg);
#pragma aux _verw = ".386p" "verw ax" "lahf" "shr eax,14" "and eax,1"\
	parm [eax] modify [eax];

#define verr(p,len) (\
	_verr(((long)p)>>16) ? _lsl(((long)p)>>16) >= ((long)p&0xffff) + len) \
			     : 0)

#define verw(p,len) (\
	_verw(((long)p)>>16) ? _lsl(((long)p)>>16) >= ((long)p&0xffff) + len) \
			     : 0)
		
#ifdef __cplusplus
}
#endif

#endif
